//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_ClubsHook extends _HOOK_CLASS_
{
	protected function join()
	{
		try
		{
		    try
			{
				$member = \IPS\Member::loggedIn();
				if ( \IPS\Settings::i()->ms_clubs_enable )
				{
					if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
					{		
					    $member->shop_points = $member->shop_points + \IPS\Settings::i()->ms_clubs_join;
					    $member->save();
					}
			        else
			        {
			            $member->evox_points = $member->evox_points + \IPS\Settings::i()->ms_clubs_join;
					    $member->save();
			        }
				}
			  	return call_user_func_array( 'parent::join', func_get_args() );
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	protected function leave()
	{
		try
		{
			try
			{
				$member = \IPS\Member::loggedIn();
				if ( \IPS\Settings::i()->ms_clubs_enable )
				{
					if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
					{		
					    $member->shop_points = $member->shop_points - \IPS\Settings::i()->ms_clubs_leave;
					    $member->save();
					}
			        else
			        {
			            $member->evox_points = $member->evox_points - \IPS\Settings::i()->ms_clubs_leave;
					    $member->save();
			        }
				}
			  	return call_user_func_array( 'parent::leave', func_get_args() );
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	protected function removeMember()
	{
		try
		{
			try
			{
				$member = \IPS\Member::load( \IPS\Request::i()->member );
				if ( \IPS\Settings::i()->ms_clubs_enable )
				{
					if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
					{		
					    $member->shop_points = $member->shop_points - \IPS\Settings::i()->ms_clubs_leave;
					    $member->save();
					}
			        else
			        {
			            $member->evox_points = $member->evox_points - \IPS\Settings::i()->ms_clubs_leave;
					    $member->save();
			        }
				}
			  	return call_user_func_array( 'parent::removeMember', func_get_args() );
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
