//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_ProfileHook extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'profileHeader' => 
  array (
    0 => 
    array (
      'selector' => '#elProfileStats > ul.ipsList_inline.ipsPos_left',
      'type' => 'add_inside_end',
      'content' => '{{if \IPS\Settings::i()->ms_show_profile_header == 1 }}
<li>
  <h4 class="ipsType_minorHeading">
    {lang="ms_points"}
  </h4>
  {{if \IPS\Settings::i()->ms_sel_what_points == 0 }}
    {expression="number_format( $member->shop_points )"} <a href="{url=\'app=membersshop&module=shop&controller=main&do=donatepoints&msmid=$member->member_id\'}" data-ipsdialog data-ipsdialog-flashmessage="{lang="ms_donated"}">
  <font color="white">{lang="ms_donate"}</font>
  </a>
  {{else}}
    {expression="number_format( $member->evox_points )"}
  {{endif}}
</li> 
{{endif}}',
    ),
  ),
  'hovercard' => 
  array (
    0 => 
    array (
      'selector' => 'div.ipsPad_half.cUserHovercard > div.ipsAreaBackground.ipsPad.ipsClearfix > ul.ipsList_inline.ipsType_blendLinks',
      'type' => 'add_inside_end',
      'content' => '{{if \IPS\Settings::i()->ms_donate_groups == \'all\' or \IPS\Member::loggedIn()->inGroup( explode(\',\', \IPS\Settings::i()->ms_donate_groups ) )}}    
<li>
  <a href="{url=\'app=membersshop&module=shop&controller=main&do=donatepoints&msmid=$member->member_id\'}" data-ipsdialog data-ipsdialog-flashmessage="{lang="ms_donated"}">
    <i class="fa fa-superpowers"> </i>
    {lang="ms_donate_points"}
  </a>
</li>
{{endif}}',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
