<?php


namespace IPS\membersshop\modules\admin\points;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * clubs
 */
class _clubs extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		$form = new \IPS\Helpers\Form;
		$form->add( new \IPS\Helpers\Form\YesNo( 'ms_clubs_enable', \IPS\Settings::i()->ms_clubs_enable, FALSE, array('togglesOn' => array( 'ms_clubs_join', 'ms_clubs_leave' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Number( 'ms_clubs_join', \IPS\Settings::i()->ms_clubs_join, FALSE, array( ), NULL, NULL, NULL, 'ms_clubs_join' ) );
		$form->add( new \IPS\Helpers\Form\Number( 'ms_clubs_leave', \IPS\Settings::i()->ms_clubs_leave, FALSE, array( ), NULL, NULL, NULL, 'ms_clubs_leave' ) );
		
		if ( $values = $form->values() )
        {
	        $form->saveAsSettings();
	        \IPS\Output::i()->redirect( \IPS\Http\Url::internal( 'app=membersshop&module=points&controller=clubs' ), 'saved' );
	        return TRUE;
        }
		
		/*
		\IPS\Output::i()->sidebar['actions']['forums'] = array(
			'primary'	=> true,
			'icon'		=> 'comment-o',
			'title'		=> 'ms_forums',
			'link'		=> \IPS\Http\Url::internal( 'app=membersshop&module=points&controller=forums' ),
			'data'		=> array( )
		);
		
		if ( \IPS\Application::appIsEnabled( 'downloads') )
		{
			\IPS\Output::i()->sidebar['actions']['add'] = array(
				'icon'		=> 'download',
				'title'		=> 'ms_downloads',
				'link'		=> \IPS\Http\Url::internal( 'app=membersshop&module=points&controller=downloads' ),
				'data'		=> array( )
			);	
		}
		*/
		
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'ms_clubs' );
		\IPS\Output::i()->output = $form;
	}
	
	// Create new methods with the same name as the 'do' parameter which should execute it
}