//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_DownloadsHook extends _HOOK_CLASS_
{
	public function _download( \IPS\File $file )
	{       
		try
		{
			try
			{
		        $points = (int) $this->file->container()->ms_points_downloads;
		        
				if( $points AND \IPS\Settings::i()->ms_group_gain_forums == 'all' or $points AND \IPS\Member::loggedIn()->inGroup( explode(',', \IPS\Settings::i()->ms_group_gain_forums ) ))
		        {
		            if( $this->file->container()->ms_points_downloads > 0 )
		            {
						$downloader = \IPS\Member::loggedIn();
		                $uploadAuthor = $this->file->author(); 
						if ( $downloader != $uploadAuthor )
						{
							if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
							{
		                        $uploadAuthor->shop_points = (int) $uploadAuthor->shop_points + $this->file->container()->ms_points_downloads; 
							}
		                    else
							{
		                        $uploadAuthor->evox_points = (int) $uploadAuthor->evox_points + $this->file->container()->ms_points_downloads; 
		                    }
		                    $uploadAuthor->save();
	                        
							$reward = new \IPS\membersshop\Rewards;
					        $reward->item_id = -5;
					        $reward->member_id = $uploadAuthor->member_id;
					        $reward->time_date = time();
					        $reward->reward = $points;
					        $reward->save();						
						}					
		            }            
		          
		        }  
		        
			    return call_user_func_array( 'parent::_download', func_get_args() );        
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}    

}
