//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_ReactHook extends _HOOK_CLASS_
{
	protected function _react( $commentClass, $comment, $item )
	{
		try
		{
			try
			{
				try
				{
					if( \IPS\Settings::i()->ms_group_gain_forums == 'all' or $comment->author()->inGroup( explode(',', \IPS\Settings::i()->ms_group_gain_forums ) ))
					{
						if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
						{
							try
							{
							    $AlreadyGot = \IPS\Db::i()->select( 'member_id', 'membersshop_rewards', array( 'item_id=? AND stolen_from=? AND member_id=?', -1, intval( \IPS\Request::i()->comment ), $comment->author()->member_id ) )->first();
							}
							catch( \Exception $ex )
							{
								$AlreadyGot = FALSE;
							}
					
							if ( $AlreadyGot == FALSE )
							{	
						        $member = $comment->author();
							    $points = \IPS\Content\Reaction::load( \IPS\Request::i()->reaction )->shop_points;
							    $member->shop_points = $member->shop_points + $points;
							    $member->save();
				        
								if ( $points > 0 )
								{
								    $reward = new \IPS\membersshop\Rewards;
								    $reward->item_id = -1;
								    $reward->member_id = $member->member_id;
								    $reward->time_date = time();
								    $reward->reward = $points;
								    $reward->stolen_from = intval( \IPS\Request::i()->comment );
								    $reward->save();
								}
							}
						}
					}
				}
				catch( \Exception $ex ){}
				
				return call_user_func_array( 'parent::_react', func_get_args() );
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
	protected function _unreact( $commentClass, $comment, $item )
	{
		try
		{
			try
			{
				try
				{
					if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
					{
						$member_id = \IPS\Db::i()->select( 'member_id', 'membersshop_rewards', array( 'item_id=? AND stolen_from=? AND member_id=?', -1, intval( \IPS\Request::i()->comment ), $comment->author()->member_id ) )->first();
					    $points = \IPS\Db::i()->select( 'reward', 'membersshop_rewards', array( 'item_id=? AND stolen_from=? AND member_id=?', -1, intval( \IPS\Request::i()->comment ), $comment->author()->member_id ) )->first();
			    
						$membersss = \IPS\Member::load( $member_id );
						$membersss->shop_points = $membersss->shop_points - $points;
						$membersss->save();
					
						$member_id = \IPS\Db::i()->delete( 'membersshop_rewards', array( 'item_id=? AND stolen_from=? AND member_id=?', -1, intval( \IPS\Request::i()->comment ), $comment->author()->member_id ) );
					}
				}
				catch( \Exception $ex ){}
				
				return call_user_func_array( 'parent::_unreact', func_get_args() );
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
}
