//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_TopicHook extends _HOOK_CLASS_
{
	protected function processAfterCreate( $comment, $values )
	{
		try
		{
			try
			{
			    call_user_func_array( 'parent::processAfterCreate', func_get_args() );
		        
				$points = (int) $this->container()->ms_points_topic;
				
		        if( $points AND \IPS\Settings::i()->ms_group_gain_forums == 'all' or $points AND \IPS\Member::loggedIn()->inGroup( explode(',', \IPS\Settings::i()->ms_group_gain_forums ) ))
		        {
					$topicAuthor = $comment->author(); 
					if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
					{
		                $topicAuthor->shop_points = $topicAuthor->shop_points + $points; 
					}
					else
					{
						$topicAuthor->evox_points = $topicAuthor->evox_points + $points; 
		            }
					$topicAuthor->save(); 
					
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -2;
					$reward->member_id = $topicAuthor->member_id;
					$reward->time_date = time();
					$reward->reward = $points;
					$reward->save();
		        }
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

	public function processCommentForm( $values )
	{       
		try
		{
			try
			{
		        $points = (int) $this->container()->ms_points_reply;
		        
				if( $points AND \IPS\Settings::i()->ms_group_gain_forums == 'all' or $points AND \IPS\Member::loggedIn()->inGroup( explode(',', \IPS\Settings::i()->ms_group_gain_forums ) ))
		        {
					$postAuthor = \IPS\Member::loggedIn(); 
		                
					if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
					{
		                $postAuthor->shop_points = $postAuthor->shop_points + $points; 
		            }
					else
					{
					    $postAuthor->evox_points = $postAuthor->evox_points + $points; 
		            }
					$postAuthor->save();
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -3;
					$reward->member_id = $postAuthor->member_id;
					$reward->time_date = time();
					$reward->reward = $points;
					$reward->save();
		            
		            if( $this->container()->ms_points_starter > 0 )
		            {
		                $topicAuthor = $this->author(); 
						if ( $postAuthor !== $topicAuthor )
						{
							if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
							{
		                        $topicAuthor->shop_points = (int) $topicAuthor->shop_points + $this->container()->ms_points_starter; 
		                    }
							else
							{
								$topicAuthor->evox_points = (int) $topicAuthor->evox_points + $this->container()->ms_points_starter; 
							}
							$topicAuthor->save();
	                        $reward = new \IPS\membersshop\Rewards;
					        $reward->item_id = -4;
					        $reward->member_id = $topicAuthor->member_id;
					        $reward->time_date = time();
					        $reward->reward = $points;
					        $reward->save();						
						}					
		            }            
		          
		        }  
		        
			    return call_user_func_array( 'parent::processCommentForm', func_get_args() );        
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
