//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class membersshop_hook_UploadHook extends _HOOK_CLASS_
{
	protected function processAfterCreate( $comment, $values )
	{
		try
		{
			try
			{
			    call_user_func_array( 'parent::processAfterCreate', func_get_args() );
		        
				$points = (int) $this->container()->ms_points_upload;
				
		        if( $points AND \IPS\Settings::i()->ms_group_gain_forums == 'all' or $points AND \IPS\Member::loggedIn()->inGroup( explode(',', \IPS\Settings::i()->ms_group_gain_forums ) ))
		        {
					$uploadAuthor = $this->author(); 
		            if ( \IPS\Settings::i()->ms_sel_what_points == 0 )
					{
		                $uploadAuthor->shop_points = $uploadAuthor->shop_points + $points; 
		            }
		            else
					{
		                $uploadAuthor->evox_points = $uploadAuthor->evox_points + $points; 
		            }
					$uploadAuthor->save();
					
					$reward = new \IPS\membersshop\Rewards;
					$reward->item_id = -6;
					$reward->member_id = $uploadAuthor->member_id;
					$reward->time_date = time();
					$reward->reward = $points;
					$reward->save();
				}
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
